Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002963Piwigotemplatepublic2013.10.02 20:332014.01.14 22:14
Reporterrvelices 
Assigned Torvelices 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0beta1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0002963: Ability to create css/js smarty templates with caching
Descriptioncombine_css takes a raw css file, we could set colors, margins etc from admin, take into account current photo sizes and generate once for all a nice css ...

Example:

{$body_margin=5}
{$album_thumb_margin=5}

.thumbnailCategory {
    display: block;
    margin: {$album_thumb_margin}px;
    padding: 2px 0 0 2px;
}

.thumbnailCategory .illustration{
    width:{$album_derivative_params->max_width()+$album_thumb_margin}px;
}

.content .thumbnailCategory .description{
    height:{$album_derivative_params->max_height()+$album_thumb_margin}px;
}

.thumbnailCategories LI{
    width:33%
}

@media screen and (max-width:{(2*{body_margin}+3*($album_derivative_params->max_width()+$album_thumb_margin+120))|intval}px) {
    .thumbnailCategories LI{
        width:49.5%
    }
}

@media screen and (max-width:{(2*{body_margin}+2*($album_derivative_params->max_width()+$album_thumb_margin+120))|intval}px) {
    .thumbnailCategories LI{
        width:99.5%
    }
}
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0002985closedmistic100 Define id for {combine_css} 

-  Notes
(0007239)
svn (reporter)
2013.11.12 07:33

[Subversion] r25462 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2963: Ability to create css/js smarty templates with caching
so far can add template=true to combine_css function
(0007242)
svn (reporter)
2013.11.12 21:30

[Subversion] r25464 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2963: Ability to create css/js smarty templates - fixes
(0007243)
svn (reporter)
2013.11.12 22:43

[Subversion] r25471 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2963: Ability to create css/js smarty templates - fixes again
(0007253)
svn (reporter)
2013.11.17 14:01

[Subversion] r25505 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2963 : update triggers list !
(0007257)
svn (reporter)
2013.11.18 06:01

[Subversion] r25544 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2963: Ability to create css/js smarty templates - fixes rare cases + code simplifications
(0007258)
svn (reporter)
2013.11.18 09:53

[Subversion] r25547 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2963 & feature 2985 : more flexibility for FileCombiner (keep API compatibility)
(0007264)
svn (reporter)
2013.11.19 05:26

[Subversion] r25568 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2963: Ability to create css/js smarty templates - fixes (last I hope)
(0007266)
plg (manager)
2013.11.19 14:55

Can we say this issue is fixed for 2.6.0RC1?
(0007305)
mistic100 (developer)
2014.01.04 15:46

It works perfectly with CSS files but not with JS files?
I am missing something ?

{combine_css id='easycaptcha.drag' path=$EASYCAPTCHA_PATH|cat:'template/drag.css' template=true}

{combine_script id='smartalbums.filters' path=$SMART_PATH|cat:'admin/template/filters.js' load='footer' template=true}
(0007309)
svn (reporter)
2014.01.14 22:13

[Subversion] r26718 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2963: Ability to create css/js smarty templates with caching (scripts was not using template parameter)

- Issue History
Date Modified Username Field Change
2013.10.02 20:33 rvelices New Issue
2013.10.02 20:33 rvelices Status new => assigned
2013.10.02 20:33 rvelices Assigned To => rvelices
2013.10.02 20:33 rvelices browser => any
2013.10.02 20:33 rvelices Web server => Apache 1.3.x
2013.10.24 19:28 rvelices Relationship added related to 0002985
2013.11.12 07:33 svn Checkin
2013.11.12 07:33 svn Note Added: 0007239
2013.11.12 21:30 svn Checkin
2013.11.12 21:30 svn Note Added: 0007242
2013.11.12 22:43 svn Checkin
2013.11.12 22:43 svn Note Added: 0007243
2013.11.17 14:01 svn Checkin
2013.11.17 14:01 svn Note Added: 0007253
2013.11.18 06:01 svn Checkin
2013.11.18 06:01 svn Note Added: 0007257
2013.11.18 09:53 svn Checkin
2013.11.18 09:53 svn Note Added: 0007258
2013.11.19 05:26 svn Checkin
2013.11.19 05:26 svn Note Added: 0007264
2013.11.19 14:55 plg Note Added: 0007266
2013.11.19 14:55 plg Target Version => 2.6.0RC1
2013.12.20 09:18 plg Status assigned => closed
2013.12.20 09:18 plg Resolution open => fixed
2013.12.20 09:18 plg Fixed in Version => 2.6.0
2014.01.04 15:46 mistic100 Note Added: 0007305
2014.01.04 15:46 mistic100 Status closed => feedback
2014.01.04 15:46 mistic100 Resolution fixed => reopened
2014.01.14 22:13 svn Checkin
2014.01.14 22:13 svn Note Added: 0007309
2014.01.14 22:14 rvelices Status feedback => closed
2014.01.14 22:14 rvelices Resolution reopened => fixed
2014.01.14 22:14 rvelices Target Version 2.6.0RC1 => 2.6.0


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker